Bug 49467 - unhelpful error message for html target
Summary: unhelpful error message for html target
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: rpm   
(Show other bugs)
Version: 7.1
Hardware: i386
OS: Linux
low
medium
Target Milestone: ---
Assignee: Jeff Johnson
QA Contact: David Lawrence
URL:
Whiteboard:
Keywords: FutureFeature
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2001-07-19 19:33 UTC by Andrew Nelson
Modified: 2007-03-27 03:47 UTC (History)
0 users

Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-07-19 19:33:17 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Andrew Nelson 2001-07-19 19:33:13 UTC
Description of Problem:
When targetting a URL via rpm -ivh, if you typo the filename, it 
returns "Unknown error". It should return an error in format of wget, 
ie "File not found." (an HTTP 404 error)


How Reproducible:
# rpm -ivh http://foo.cmo/rpms/goodstuff-1-1.i376.rpm


Steps to Reproduce:
1. See above
2. 
3. 

Actual Results:
Less than helpful error message

Expected Results:
Only slightly less than helpful error message

Additional Information:

Comment 1 Jeff Johnson 2001-12-09 18:58:10 UTC
rpm has a very primitive http client, just enough to
get the job done. Use wget rather than rpm if you
wish a more powerful http client.


Note You need to log in before you can comment on or make changes to this bug.